<?php 
/**
 * Система управления сайтом HostCMS v. 5.xx
 * Copyright © 2005-2010 ООО "Хостмэйк" (Hostmake LLC), http://www.hostcms.ru
 *
 * Модуль modules.
 * 
 * Файл: /admin/modules/modules.php
 * 
 * @author Hostmake LLC
 * @version 5.x
 */
// Подключаем основные классы.
require_once('../../main_classes.php');

$admin = new Admin();

// Проверка авторизации пользователя.
$admin->admin_session_valid('Modules');

$kernel = & singleton('kernel');

// Инсталляция всех модулей ядра нужна при показе 40-й формы, чтобы извлечь дату и версию
//$kernel->LoadModules(!isset($_REQUEST['JsHttpRequest']) || to_int($_REQUEST['admin_forms_id']) == 40);
$kernel->LoadModules(true);

// Инициализация CURRENT_SITE и констант.
$admin->admin_init();

if (!isset($_REQUEST['JsHttpRequest']))
{
	do_html_header_admin($GLOBALS['MSG_modules']['modules_title_list']);
}

$modules = new modules();

$admin_forms = & singleton('admin_forms');

$DateClass = new DateClass();

if (isset($_REQUEST['add_module']) || isset($_REQUEST['save_module']))
{
	ob_start();
	// определяем идет вставка либо редактирование
	if (isset($_REQUEST['modules_id']))
	{
		$rewrite = 1;
	}
	else
	{
		$rewrite = 0;
	}
	if (defined('READ_ONLY') && READ_ONLY)
	{
		$kernel = & singleton('kernel');

		$kernel->ReadMode();
	}
	else
	{

		include(CMS_FOLDER . '/admin/modules/action/add_modules.php');

		if (isset($error_add_edit_module))
		{
			ob_start();
			include(CMS_FOLDER . 'admin/modules/action/form_add_edit_modules.php');
			$form_html = ob_get_clean();
		}
	}

	$message = ob_get_clean();

	$JsHttpRequest = new JsHttpRequest('UTF-8');

	// При добавлении (не сохранении) - отправляем команду на загрузку
	if (isset($_REQUEST['add_module']))
	{
		// Отображаем форму
		include(CMS_FOLDER . 'admin/modules/action/load_modules.php');
		$GLOBALS['_RESULT'] = $admin_forms->ShowForm(40, 'load_data');
		// Добавляем определенное выше сообщение
		$GLOBALS['_RESULT']['error'] = $message;
	}
	else
	{
		// Отправляем только сообщение о произведенных действиях
		$GLOBALS['_RESULT'] = array(
		'error' => $message,
		'form_html' => '',
		'title' => '');
	}

	echo $JsHttpRequest->LOADER;
	exit();
}

// Отображение форм
switch (to_int($_REQUEST['admin_forms_id']))
{
	case 40:
	default:
		{
			include(CMS_FOLDER . 'admin/modules/action/load_modules.php');
			$admin_forms->ProcessAjax(40);
			break;
		}
}

if (!isset($_REQUEST['JsHttpRequest']))
{
	do_html_footer_admin();
}
?>